Bug 666060

Summary: Updating python via yum update fails with rpm_check_debug
Product: Red Hat Enterprise Linux 5 Reporter: vilhena <rmvilhena>
Component: yumAssignee: James Antill <james.antill>
Status: CLOSED NOTABUG QA Contact: BaseOS QE Security Team <qe-baseos-security>
Severity: high Docs Contact:
Priority: low    
Version: 5.5   
Target Milestone: rc   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-01-03 15:30:07 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description vilhena 2010-12-28 12:53:58 EST
Description of problem:

[root@bootserver ~]# yum update python
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: ftp.di.fc.ul.pt
 * updates: ftp.di.fc.ul.pt
 * addons: ftp.di.fc.ul.pt
 * extras: ftp.di.fc.ul.pt
atrpms                                                                                                                                                    | 2.6 kB     00:00
base                                                                                                                                                      | 2.1 kB     00:00
updates                                                                                                                                                   | 1.9 kB     00:00
addons                                                                                                                                                    |  951 B     00:00
extras                                                                                                                                                    | 2.1 kB     00:00
Excluding Packages in global exclude list
Finished
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package python.i386 0:2.4.3-27.el5_5.3 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=================================================================================================================================================================================
 Package                                 Arch                                  Version                                            Repository                                Size
=================================================================================================================================================================================
Updating:
 python                                  i386                                  2.4.3-27.el5_5.3                                   updates                                  5.9 M

Transaction Summary
=================================================================================================================================================================================
Install      0 Package(s)
Update       1 Package(s)
Remove       0 Package(s)

Total size: 5.9 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
python is needed by (installed) pythonabi
python is needed by (installed) pythonabi
Complete!
(1, ['Please report this error in bugzilla'])
Comment 1 seth vidal 2011-01-03 09:28:40 EST
where did the pkg 'pythonabi' come from and how did it get installed?
Comment 2 vilhena 2011-01-03 09:46:23 EST
(In reply to comment #1)
> where did the pkg 'pythonabi' come from and how did it get installed?

Hello Seth.

Sorry but I don't know the answer for your question :/

I came up with this error when trying to do a yum update to the whole system. Afterwards I discovered that updating python show the same error.

This machine hosts an OS image system server (IBM Tivoli Provioning Manager for OS Deployment).

Thanks.

Regards,
Vilhena
Comment 3 seth vidal 2011-01-03 10:56:29 EST
could you run:

yum list pythonabi

thanks
Comment 4 vilhena 2011-01-03 11:49:13 EST
(In reply to comment #3)
> could you run:
> 
> yum list pythonabi
> 
> thanks

Here's the output:

[root@bootserver ~]# yum list pythonabi
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: ftp.di.fc.ul.pt
 * updates: ftp.di.fc.ul.pt
 * addons: ftp.di.fc.ul.pt
 * extras: ftp.di.fc.ul.pt
atrpms                                                                                                                           | 2.6 kB     00:00
base                                                                                                                             | 2.1 kB     00:00
updates                                                                                                                          | 1.9 kB     00:00
addons                                                                                                                           |  951 B     00:00
extras                                                                                                                           | 2.1 kB     00:00
Excluding Packages in global exclude list
Finished
Installed Packages
pythonabi.i386   


Thanks
Comment 5 seth vidal 2011-01-03 11:56:27 EST
could you run:

rpm -qi pythonabi

thakns
Comment 6 vilhena 2011-01-03 12:05:46 EST
Output:

[root@bootserver ~]# rpm -qi pythonabi
Name        : pythonabi                    Relocations: (not relocatable)
Version     : 2.3                               Vendor: ATrpms.net
Release     : 3.el4.at                      Build Date: Tue 29 Aug 2006 03:38:46 PM WEST
Install Date: Sun 28 Sep 2008 06:13:33 PM WEST      Build Host: el4.atrpms.net
Group       : Development/Languages         Source RPM: pythonabi-2.3-3.el4.at.src.rpm
Size        : 0                                License: GPL
Signature   : DSA/SHA1, Tue 29 Aug 2006 03:38:47 PM WEST, Key ID 508ce5e666534c2b
Packager    : ATrpms <http://ATrpms.net/>
Summary     : Forward compatibility package for python(abi)
Description :
Forward compatibility package for python(abi).


Thanks,
Vilhena
Comment 7 seth vidal 2011-01-03 12:24:36 EST
if you can run:

rpm -Va --nofiles --nodigest
Comment 8 vilhena 2011-01-03 12:33:32 EST
(In reply to comment #7)
> if you can run:
> 
> rpm -Va --nofiles --nodigest

Output:

[root@bootserver ~]# rpm -Va --nofiles --nodigest
Unsatisfied dependencies for pythonabi-2.3-3.el4.at.i386: python < 2.4
Unsatisfied dependencies for gtk2-2.10.4-20.el5.i386: hicolor-icon-theme
Unsatisfied dependencies for gnupg-1.4.9-0_41.0.1.el4.i386: libldap-2.2.so.7, libreadline.so.4
Unsatisfied dependencies for librpm4.4-4.4.2-15.2_60.el4.at.i386: libneon.so.24
[root@bootserver ~]#


Thanks,
Vilhena
Comment 9 seth vidal 2011-01-03 13:02:42 EST
so this machine was updated from el4 to el5?

I suspect if you clean up those broken pkgs above everything will work.